#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 dhall
version:              1.41.2
visibility:           public
id:                   dhall-1.41.2-3aEfKXbW0289RkXmPnMIxw
key:                  dhall-1.41.2-3aEfKXbW0289RkXmPnMIxw
license:              BSD-3-Clause
copyright:            2017 Gabriel Gonzalez
maintainer:           Gabriel439@gmail.com
author:               Gabriel Gonzalez
synopsis:             A configuration language guaranteed to terminate
description:
    Dhall is an explicitly typed configuration language that is not Turing
    complete.  Despite being Turing incomplete, Dhall is a real programming
    language with a type-checker and evaluator.

    Use this library to parse, type-check, evaluate, and pretty-print the Dhall
    configuration language.  This package also includes an executable which
    type-checks a Dhall file and reduces the file to a fully evaluated normal
    form.

    Read "Dhall.Tutorial" to learn how to use this library

category:             Compiler
abi:                  e5f777de0c9ab342acfac81b940f27d6
exposed:              True
exposed-modules:
    Dhall Dhall.Binary Dhall.Context Dhall.Core Dhall.Crypto
    Dhall.Deriving Dhall.Diff Dhall.DirectoryTree Dhall.Format
    Dhall.Freeze Dhall.Import Dhall.Lint Dhall.Main Dhall.Map
    Dhall.Marshal.Decode Dhall.Marshal.Encode Dhall.Optics Dhall.Parser
    Dhall.Parser.Expression Dhall.Parser.Token Dhall.Pretty Dhall.Repl
    Dhall.Schemas Dhall.Set Dhall.Src Dhall.Substitution Dhall.TH
    Dhall.Tags Dhall.Tutorial Dhall.TypeCheck Dhall.Util Dhall.Version

hidden-modules:
    Dhall.Eval Dhall.Import.Types Dhall.Import.Headers
    Dhall.Marshal.Internal Dhall.Normalize Dhall.Parser.Combinators
    Dhall.Pretty.Internal Dhall.Syntax Dhall.URL Paths_dhall
    Dhall.Import.HTTP Dhall.Import.Manager

import-dirs:          /usr/lib/ghc-9.0.2/site-local/dhall-1.41.2
library-dirs:         /usr/lib/ghc-9.0.2/site-local/dhall-1.41.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/dhall
hs-libraries:         HSdhall-1.41.2-3aEfKXbW0289RkXmPnMIxw
depends:
    Diff-0.4.1-8tFRyD0NPuLJJ5n6nm4egu
    aeson-2.1.2.1-AoiZ9fpfbxJ47564nNIIBq
    aeson-pretty-0.8.9-E5smfri2cJLK157ePQvQ61
    ansi-terminal-0.11.4-30w7KBHfEQ9CygddjSQvBk
    atomic-write-0.2.0.7-46Aplc9QIcCJPA8IX04mGJ base-4.15.1.0
    base16-bytestring-1.0.2.0-IBiQOMzzuJVLgMxcKr2Onm
    bytestring-0.10.12.1
    case-insensitive-1.2.1.0-22stPLnoxWFCGU5IfVuolg
    cborg-0.2.8.0-BiOUYrx0zjD6mlMqdNKY29
    cborg-json-0.2.5.0-Gr5r8gIjWKDAm8wQApKuO2 containers-0.6.4.1
    contravariant-1.5.5-FtJyCLyWfutGN2UWoJs8qd
    cryptohash-sha256-0.11.102.1-6sj1BMuZ5CMB0so9DQRnVL
    data-fix-0.3.2-TOKFgbsb7IFqsBcPRCgpI deepseq-1.4.5.0
    directory-1.3.6.2 dotgen-0.4.3-JbRUtf7kscIJibZz2RQNw
    either-5.0.2-Lfv63vN2sgD93wzjq4Rwbk exceptions-0.10.4
    filepath-1.4.2.1 half-0.3.1-LjHg5LON8lh3Gs0OGYS77T
    hashable-1.4.2.0-ACOKJtOF9viKWyhESTEaY8 haskeline-0.8.2
    http-client-0.7.13.1-DYIJC0Hgd6wAsSpkibWSsi
    http-client-tls-0.3.6.1-CGbWfFcuwJKFVge2SsskLz
    http-types-0.12.3-1zF2mMw4WqJKRtZUD7ONzb
    indexed-traversable-0.1.2.1-JwIQVWOpW67GVSWDdLo884
    lens-family-core-2.1.2-JgL24qTIUymKZLaMFOVhTK
    megaparsec-9.3.1-E492ZAN3QXrF2ppMHFGNCc
    mmorph-1.2.0-2iQgHTViuScASaZTADZaI1 mtl-2.2.2
    network-uri-2.6.4.2-EYxdu2yGuicEEj2BOEkBLC
    optparse-applicative-0.17.0.0-1t7fxkFVvXn4R1Ycov0fb
    parser-combinators-1.3.0-FL5bcA6sX4a2ejs4tDtkjB
    parsers-0.12.11-VufojXhu2lJE502pjxrdU
    pretty-simple-4.1.2.0-CdGKdF2YPOWJGS0R3HbfY4
    prettyprinter-1.7.1-KCgewS2LM1BGU28EH98tlo
    prettyprinter-ansi-terminal-1.1.3-HUS2PIn5WXF1oG7qVT6mAJ
    profunctors-5.6.2-HgX7PJf7TGr3vPaELmhVcj
    repline-0.4.2.0-AbdnKl4MT5R8rpoSYZ99OS
    scientific-0.3.7.0-K0ypbSyuCqS5Fd30xEyG2S
    serialise-0.2.6.0-HIFVhZ04TO5CTbumF2EroC template-haskell-2.17.0.0
    text-1.2.5.0 text-manipulate-0.3.1.0-9XyvYg6MWMSHrDvJ6xL4Gj
    text-short-0.1.5-L7vtjTTtGQTGJbDWTyjl8m
    th-lift-instances-0.1.20-7YAkZAn4HwH6TRkO9YbF5v time-1.9.3
    transformers-0.5.6.2
    unordered-containers-0.2.19.1-KAeBL5aytSRB39idbhEXBI
    uri-encode-1.5.0.7-GQekHHYYwMY3u4NFehLASx
    vector-0.13.0.0-AvCgqYhQ3vmCYiPnKivqd

haddock-interfaces:   /usr/share/doc/dhall/html/dhall.haddock
haddock-html:         /usr/share/doc/dhall/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

